=== removed file 'common.pri'
--- common.pri	2012-12-07 09:54:21 +0000
+++ common.pri	1970-01-01 00:00:00 +0000
@@ -1,5 +0,0 @@
-contains(QT_VERSION, ^4.*) {
- error("Use at least Qt 5.x");
-}
-
-include( coverage.pri )

=== added directory 'features'
=== renamed file 'coverage.pri' => 'features/coverage.prf'
--- coverage.pri	2012-12-10 10:28:15 +0000
+++ features/coverage.prf	2013-06-25 14:18:18 +0000
@@ -16,51 +16,49 @@
 # 3) make coverage-html or make coverage-xml
 # --------------------------------
 
-CONFIG(coverage) {
-    OBJECTS_DIR =
-    MOC_DIR =
-    TOP_SRC_DIR = $$PWD
-
-    LIBS += -lgcov
-    QMAKE_CXXFLAGS += --coverage
-    QMAKE_LDFLAGS += --coverage
-
-    QMAKE_EXTRA_TARGETS += coverage cov
-    QMAKE_EXTRA_TARGETS += clean-gcno clean-gcda coverage-html \
-        generate-coverage-html clean-coverage-html coverage-xml \
-        generate-xml generate-coverage-xml clean-coverage-xml
-
-    clean-gcno.commands = \
-        "@echo Removing old coverage instrumentation"; \
-        "find -name '*.gcno' -print | xargs -r rm"
-
-    clean-gcda.commands = \
-        "@echo Removing old coverage results"; \
-        "find -name '*.gcda' -print | xargs -r rm"
-  
-    coverage-html.depends = clean-gcda check generate-coverage-html
-  
-    generate-coverage-html.commands = \
-        "@echo Collecting coverage data"; \
-        "lcov --directory $${TOP_SRC_DIR} --capture --output-file coverage.info --no-checksum --compat-libtool"; \
-        "lcov --extract coverage.info \"*/modules/*.cpp\" -o coverage.info"; \
-        "lcov --remove coverage.info \"moc_*.cpp\" -o coverage.info"; \
-        "LANG=C genhtml --prefix $${TOP_SRC_DIR} --output-directory coverage-html --title \"Code Coverage\" --legend --show-details coverage.info"
-  
-    clean-coverage-html.depends = clean-gcda
-    clean-coverage-html.commands = \
-        "lcov --directory $${TOP_SRC_DIR} -z"; \
-        "rm -rf coverage.info coverage-html"
-
-    coverage-xml.depends = clean-gcda check generate-coverage-xml
-
-    generate-coverage-xml.commands = \
-        "@echo Generating coverage GCOVR XML report"; \
-        "gcovr -x -r $${TOP_SRC_DIR} -o $${TOP_SRC_DIR}/coverage.xml -e \".*/moc_.*\" -e \"unit/.*\" -e \".*\\.h\""
-
-    clean-coverage-xml.depends = clean-gcda
-    clean-coverage-xml.commands = \
-        "rm -rf $${TOP_SRC_DIR}/coverage.xml"
-
-    QMAKE_CLEAN += *.gcda *.gcno coverage.info coverage.xml
-}
+OBJECTS_DIR =
+MOC_DIR =
+TOP_SRC_DIR = $$PWD
+
+LIBS += -lgcov
+QMAKE_CXXFLAGS += --coverage
+QMAKE_LDFLAGS += --coverage
+
+QMAKE_EXTRA_TARGETS += coverage cov
+QMAKE_EXTRA_TARGETS += clean-gcno clean-gcda coverage-html \
+    generate-coverage-html clean-coverage-html coverage-xml \
+    generate-xml generate-coverage-xml clean-coverage-xml
+
+clean-gcno.commands = \
+    "@echo Removing old coverage instrumentation"; \
+    "find -name '*.gcno' -print | xargs -r rm"
+
+clean-gcda.commands = \
+    "@echo Removing old coverage results"; \
+    "find -name '*.gcda' -print | xargs -r rm"
+  
+coverage-html.depends = clean-gcda check generate-coverage-html
+  
+generate-coverage-html.commands = \
+    "@echo Collecting coverage data"; \
+    "lcov --directory $${TOP_SRC_DIR} --capture --output-file coverage.info --no-checksum --compat-libtool"; \
+    "lcov --extract coverage.info \"*/modules/*.cpp\" -o coverage.info"; \
+    "lcov --remove coverage.info \"moc_*.cpp\" -o coverage.info"; \
+    "LANG=C genhtml --prefix $${TOP_SRC_DIR} --output-directory coverage-html --title \"Code Coverage\" --legend --show-details coverage.info"
+  
+clean-coverage-html.depends = clean-gcda
+clean-coverage-html.commands = \
+    "lcov --directory $${TOP_SRC_DIR} -z"; \
+    "rm -rf coverage.info coverage-html"
+
+coverage-xml.depends = clean-gcda check generate-coverage-xml
+
+generate-coverage-xml.commands = \
+    "@echo Generating coverage GCOVR XML report"; \
+    "gcovr -x -r $${TOP_SRC_DIR} -o $${TOP_SRC_DIR}/coverage.xml -e \".*/moc_.*\" -e \"unit/.*\" -e \".*\\.h\""
+
+clean-coverage-xml.depends = clean-gcda
+clean-coverage-xml.commands = \
+    "rm -rf $${TOP_SRC_DIR}/coverage.xml"
+
+QMAKE_CLEAN += *.gcda *.gcno coverage.info coverage.xml

=== added directory 'mkspecs'
=== modified file 'modules/Ubuntu/Components/Components.pro'
--- modules/Ubuntu/Components/Components.pro	2012-12-07 09:54:21 +0000
+++ modules/Ubuntu/Components/Components.pro	2013-06-25 14:18:18 +0000
@@ -1,5 +1,3 @@
-include( ../../../common.pri )
-
 TEMPLATE = subdirs
 
 SUBDIRS += plugin

=== modified file 'modules/Ubuntu/Components/plugin/plugin.pro'
--- modules/Ubuntu/Components/plugin/plugin.pro	2013-05-21 11:06:55 +0000
+++ modules/Ubuntu/Components/plugin/plugin.pro	2013-06-25 14:18:18 +0000
@@ -1,5 +1,3 @@
-include( ../../../../common.pri )
-
 unix {
     CONFIG += link_pkgconfig
     PKGCONFIG += gio-2.0

=== modified file 'modules/ubuntu-ui-toolkit.pro'
--- modules/ubuntu-ui-toolkit.pro	2013-04-23 11:50:45 +0000
+++ modules/ubuntu-ui-toolkit.pro	2013-06-25 14:18:18 +0000
@@ -1,5 +1,3 @@
-include( ../common.pri )
-
 TEMPLATE = subdirs
 
 SUBDIRS += Ubuntu/Components

=== modified file 'tests/unit/qmltest-include.pri'
--- tests/unit/qmltest-include.pri	2012-12-10 12:25:57 +0000
+++ tests/unit/qmltest-include.pri	2013-06-25 14:18:18 +0000
@@ -1,4 +1,3 @@
-include( ../../common.pri )
 include( plugin_dependency.pri )
 include( add_qmlmakecheck.pri)
 

=== modified file 'tests/unit/test-include.pri'
--- tests/unit/test-include.pri	2012-12-10 12:25:57 +0000
+++ tests/unit/test-include.pri	2013-06-25 14:18:18 +0000
@@ -1,4 +1,3 @@
-include( ../../common.pri )
 include( plugin_dependency.pri )
 include( add_makecheck.pri )
 

=== modified file 'tests/unit/unit.pro'
--- tests/unit/unit.pro	2013-06-04 09:42:07 +0000
+++ tests/unit/unit.pro	2013-06-25 14:18:18 +0000
@@ -1,5 +1,3 @@
-include( ../../common.pri )
-
 TEMPLATE = subdirs
 
 SUBDIRS += testparser

=== modified file 'tests/unit_x11/qmltest-include.pri'
--- tests/unit_x11/qmltest-include.pri	2013-05-27 08:43:46 +0000
+++ tests/unit_x11/qmltest-include.pri	2013-06-25 14:18:18 +0000
@@ -1,4 +1,3 @@
-include( ../../common.pri )
 include( ../unit/plugin_dependency.pri )
 include( add_qmlmakecheck.pri)
 

=== modified file 'tests/unit_x11/unit_x11.pro'
--- tests/unit_x11/unit_x11.pro	2013-05-27 08:43:46 +0000
+++ tests/unit_x11/unit_x11.pro	2013-06-25 14:18:18 +0000
@@ -1,5 +1,3 @@
-include( ../../common.pri )
-
 TEMPLATE = subdirs
 
 SUBDIRS += tst_components

=== modified file 'themes/themes.pro'
--- themes/themes.pro	2012-12-07 09:54:21 +0000
+++ themes/themes.pro	2013-06-25 14:18:18 +0000
@@ -1,5 +1,3 @@
-include( ../common.pri )
-
 TEMPLATE = subdirs
 
 THEME_FILES = Ambiance/qmltheme/*.qmltheme

=== modified file 'ubuntu-sdk.pro'
--- ubuntu-sdk.pro	2013-06-04 09:42:07 +0000
+++ ubuntu-sdk.pro	2013-06-25 14:18:18 +0000
@@ -1,4 +1,3 @@
-include( common.pri )
 include( documentation/documentation.pri )
 
 TEMPLATE = subdirs

